@import '_content/EstateConductor.Web.DynamicForms/EstateConductor.Web.DynamicForms.bundle.scp.css';
@import '_content/EstateConductor.Web.JsonReports/EstateConductor.Web.JsonReports.bundle.scp.css';

/* _content/EstateConductor.Web/Components/Core/Quill.razor.rz.scp.css */
.quillContainer[b-eegfsg76lo] {
    background-color: white;
    color: black;
    padding: 4px;
    border-radius: var(--mud-default-borderradius);
}
/* _content/EstateConductor.Web/Components/Tickets/Gantt/GanttRow.razor.rz.scp.css */
.gantt-row[b-5cdh7r1rl0] {
    height: 34px;
    border-bottom: 1px solid var(--mud-palette-lines-default);
    position: relative;
}

.gantt-lane[b-5cdh7r1rl0] {
    height: 100%;
    position: relative;
    /* vertical grid lines */
    background-image: linear-gradient(to right, var(--mud-palette-lines-default) 1px, transparent 1px);
    border-right: 1px solid var(--mud-palette-lines-default);
}

.gantt-bar[b-5cdh7r1rl0] {
    position: absolute;
    top: 7px;
    height: 20px;
    border-radius: 10px;
    display: flex;
    align-items: center;
    padding: 0 10px;
    font-size: 12px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    box-shadow: var(--mud-elevation-2);
    opacity: 0.84;
}

.gantt-bar:hover[b-5cdh7r1rl0] {
    box-shadow: var(--mud-elevation-4);
    opacity: 1;
}

.gantt-bar-text[b-5cdh7r1rl0] {
    opacity: .95;
}

.due-only[b-5cdh7r1rl0] {
    -webkit-mask-image: linear-gradient( to left, rgba(0,0,0,1) 0%, rgba(0,0,0,1) 20%, rgba(0,0,0,0) 80%, rgba(0,0,0,0) 100% );
    mask-image: linear-gradient( to left, rgba(0,0,0,1) 0%, rgba(0,0,0,1) 20%, rgba(0,0,0,0) 80%, rgba(0,0,0,0) 100% );
}

.start-only[b-5cdh7r1rl0] {
    -webkit-mask-image: linear-gradient( to right, rgba(0,0,0,1) 0%, rgba(0,0,0,1) 20%, rgba(0,0,0,0) 80%, rgba(0,0,0,0) 100% );
    mask-image: linear-gradient( to right, rgba(0,0,0,1) 0%, rgba(0,0,0,1) 20%, rgba(0,0,0,0) 80%, rgba(0,0,0,0) 100% );
}
/* _content/EstateConductor.Web/Components/Tickets/Gantt/TicketGanttChart.razor.rz.scp.css */
.gantt[b-ldvp74abdc] {
    display: flex;
    flex-direction: column;
    overflow: hidden; 
}

.gantt-ticket-header[b-ldvp74abdc] {
    font-weight: bolder;
}

.gantt-row.gantt-taskgroup[b-ldvp74abdc], .gantt-left-row.gantt-taskgroup[b-ldvp74abdc] {
    height: 24px;
    background: var(--shaded-background);
    border-bottom: 1px solid var(--mud-palette-lines-default);
}

.gantt-left-row.gantt-task[b-ldvp74abdc] {
    padding-left: 36px;
}

.gantt-grid[b-ldvp74abdc] {
    display: grid;
    grid-template-columns: 320px 1fr;
}

.gantt-left[b-ldvp74abdc] {
    border-right: 1px solid var(--mud-palette-lines-default);
    overflow: auto;
}

.gantt-left-header[b-ldvp74abdc] {
    position: sticky;
    height: 38px;
    top: 0;
    z-index: 3;
    padding: 10px 12px;
    background: var(--mud-palette-surface);
    border-bottom: 1px solid var(--mud-palette-lines-default);
}

.gantt-left-row[b-ldvp74abdc] {
    display: flex;
    align-items: center;
    height: 34px;
    padding: 0 12px;
    border-bottom: 1px solid var(--mud-palette-lines-default);
}

.gantt-right[b-ldvp74abdc] {
    overflow: auto;
    position: relative;
    background: var(--mud-palette-surface);
}

.gantt-right-header[b-ldvp74abdc] {
    position: sticky;
    height: 38px;
    top: 0;
    z-index: 4;
    background: var(--mud-palette-surface);
    border-bottom: 1px solid var(--mud-palette-lines-default);
}

.gantt-ticks[b-ldvp74abdc] {
    position: relative;
    display: grid;
    grid-auto-flow: column;
    grid-auto-columns: 1fr;
    height: 38px;
}

.tick[b-ldvp74abdc] {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: end;
    text-align: center;
    font-size: 12px;
    opacity: .8;
    border-right: 1px solid var(--mud-palette-lines-default);
    padding-bottom: 2px;
}

.tick.ticket-template[b-ldvp74abdc] {
    text-orientation: mixed;
    writing-mode: vertical-lr;
    justify-content: center;
}

.tick.weekend[b-ldvp74abdc] {
    background: var(--mud-palette-surface);
}

.now-line[b-ldvp74abdc] {
    position: absolute;
    top: 0;
    bottom: 0;
    width: 2px;
    background: currentColor;
    opacity: .55;
    pointer-events: none;
}
